安全漏洞

loophole

安全漏洞补丁公告

当前位置  >  首页  >  服务支持  >  安全漏洞  >  安全漏洞补丁公告

公告ID(KYSA-202205-1023

公告ID:KYSA-202205-1023 公告摘要:apache-commons-io安全漏洞 安全等级:Moderate 发布日期:2022年05月10日 影响CVE:CVE-2021-29425

详细介绍

1. 修复的CVE

·CVE-2021-29425

描述:Apache Commons IO是美国阿帕奇(Apache)基金会的一个应用程序。提供一个帮助开发IO功能。Apache Commons IO 版本存在路径遍历漏洞,该漏洞源于当使用不正确的输入字符串(例如“ //../foo”或“  ..  foo”)调用FileNameUtils.normalize方法时,则可能会提供对父目录中文件的访问权限。

2. 受影响的软件包

·银河麒麟高级服务器操作系统 V10 SP1

aarch64架构:

apache-commons-io、apache-commons-io-help

x86_64架构:

apache-commons-io、apache-commons-io-help

·银河麒麟高级服务器操作系统 V10 SP2

aarch64架构:

apache-commons-io、apache-commons-io-help

x86_64架构:

apache-commons-io、apache-commons-io-help

3. 软件包修复版本

·银河麒麟高级服务器操作系统 V10 SP1

apache-commons-io-2.6-5.p02.ky10

apache-commons-io-help-2.6-5.p02.ky10

·银河麒麟高级服务器操作系统 V10 SP2

apache-commons-io-2.6-5.p02.ky10

apache-commons-io-help-2.6-5.p02.ky10

4. 修复方法

方法一:配置源进行升级安装

1. 打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:

银河麒麟高级服务器操作系统 V10 SP1

aarch64:https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/

x86_64:https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/

银河麒麟高级服务器操作系统 V10 SP2

aarch64:https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/

x86_64:https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/

2. 配置完成后执行更新命令进行升级,命令如下:

yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:

yum install Packagename

3. 升级完成后是否需要重启服务或操作系统:

·CVE-2021-29425:无需重启操作系统与服务即可使漏洞修复生效。

5. 软件包下载地址

·银河麒麟高级服务器操作系统 V10 SP1

 

apache-commons-io(aarch64)软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/Packages/apache-commons-io-2.6-5.p02.ky10.noarch.rpm

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/Packages/apache-commons-io-help-2.6-5.p02.ky10.noarch.rpm

 

apache-commons-io(x86_64)软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/Packages/apache-commons-io-2.6-5.p02.ky10.noarch.rpm

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/Packages/apache-commons-io-help-2.6-5.p02.ky10.noarch.rpm

 

·银河麒麟高级服务器操作系统 V10 SP2

 

apache-commons-io(aarch64)软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/apache-commons-io-2.6-5.p02.ky10.noarch.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/apache-commons-io-help-2.6-5.p02.ky10.noarch.rpm

 

apache-commons-io(x86_64)软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/apache-commons-io-2.6-5.p02.ky10.noarch.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/apache-commons-io-help-2.6-5.p02.ky10.noarch.rpm

 

注:其他相关依赖包请到相同目录下载

6. 修复验证

使用软件包查询命令,查看相关软件包版本是否与修复版本一致,如果版本一致,则说明修复成功。

sudo rpm -qa | grep Packagename


上一篇: KYSA-202205-1022 下一篇: KYSA-202205-1024

试用

服务

动态

联系